Error
A valid request URL is required to generate request examples{
"results": {
"data": [
{
"format": "csv",
"createdByUserName": "<string>",
"createdByUserUuid": "<string>",
"resourceName": "<string>",
"resourceUuid": "<string>",
"resourceType": "chart",
"logCounts": {
"error": 123,
"completed": 123,
"started": 123,
"scheduled": 123,
"total": 123
},
"details": {},
"createdAt": "2023-11-07T05:31:56Z",
"runStatus": "completed",
"status": "scheduled",
"scheduledTime": "2023-11-07T05:31:56Z",
"schedulerName": "<string>",
"schedulerUuid": "<string>",
"runId": "<string>"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalResults": 123,
"totalPageCount": 123
}
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}v2
List chart scheduler runs
Get the run history of a single scheduler on a chart
GET
/
api
/
v2
/
saved
/
{chartUuid}
/
schedulers
/
{schedulerUuid}
/
runs
Error
A valid request URL is required to generate request examples{
"results": {
"data": [
{
"format": "csv",
"createdByUserName": "<string>",
"createdByUserUuid": "<string>",
"resourceName": "<string>",
"resourceUuid": "<string>",
"resourceType": "chart",
"logCounts": {
"error": 123,
"completed": 123,
"started": 123,
"scheduled": 123,
"total": 123
},
"details": {},
"createdAt": "2023-11-07T05:31:56Z",
"runStatus": "completed",
"status": "scheduled",
"scheduledTime": "2023-11-07T05:31:56Z",
"schedulerName": "<string>",
"schedulerUuid": "<string>",
"runId": "<string>"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalResults": 123,
"totalPageCount": 123
}
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
The uuid of the chart
The uuid of the scheduler
Query Parameters
number of items per page
page number
filter runs by scheduler name
column to sort by (scheduledTime, createdAt)
Available options:
scheduledTime, createdAt sort direction (asc or desc)
Available options:
asc, desc comma-separated list of run statuses to include
comma-separated list of destination types to include
Was this page helpful?